Bug 864977 - Send task does not contain property Operation which is required by BPMN2
Send task does not contain property Operation which is required by BPMN2
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 10:34 EDT by Sona Mala
Modified: 2013-10-10 20:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The Process Designer visual validation display incorrect error message for send tasks, this confused users about the state of the send task. This has be resolved by ensuring the incorrect validation errors no longer occur.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot - validation result & property bar (51.23 KB, image/png)
2012-10-10 10:34 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-10-10 10:34:07 EDT
Created attachment 624921 [details]
Screenshot - validation result & property bar

Description of problem:
Send task has no property Operation even if the validator and BPMN 2 specification require it.

Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER2, designer 2.3.1-DEV

How reproducible:


Steps to Reproduce:
1. create new process (start->send task->end)
2. validate
3. open property
  
Actual results:
the validator marks send task by alert "Send task has no operation" and in property bar  this property is missing.

Expected results:
the property bar for send task shows "Operation".

Additional info:
Comment 1 Tihomir Surdilovic 2012-10-11 19:39:06 EDT
operationRef is a property of the service task, not send task. the bpmn2 validator in designer was incorrectly validating send tasks. this is fixed in community, raise blocker flag if needs to be include in 5.3.1.
Comment 2 Tihomir Surdilovic 2012-10-17 10:46:19 EDT
Fix committed in Designer 2.3.x branch.
Comment 3 Sona Mala 2012-11-14 02:48:18 EST
Verified for: EAP 5.1.2, deployable BRMS 5.3.1 ER4, designer 2.3.1-DEV

Validation does not show alert.

Note You need to log in before you can comment on or make changes to this bug.